Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class DelegatingResultSet

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingResultSet

All Implemented Interfaces:
  ResultSet, Wrapper, Closeable

Direct Known Subclasses:
  LoggingConnectionDecorator.LoggingConnection.LoggingResultSet

    public class DelegatingResultSet

extends Object
implements ResultSet, Closeable

Wrapper around an existing result set. Subclasses can override the methods whose behavior they mean to change. The `equals` and `hashCode` methods pass through to the base underlying data store statement.

Author:
  Marc Prud'hommeaux

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`DelegatingResultSet(ResultSet rs, Statement stmnt)`

Method Summary
`boolean` | `absolute(int a)`
`void` | `afterLast()`
`protected void` | `appendInfo(StringBuffer buf)`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`boolean` | `equals(Object other)`
`int` | `findColumn(String a)`
`boolean` | `first()`
`Array` | `getArray(int a)`
`Array` | `getArray(String a)`
`InputStream` | `getAsciiStream(int a)`
`InputStream` | `getAsciiStream(String a)`
`BigDecimal` | `getBigDecimal(int a)`
`BigDecimal` | `getBigDecimal(int a, int b)` Deprecated.
`BigDecimal` | `getBigDecimal(String a)`
`BigDecimal` | `getBigDecimal(String a, int b)` Deprecated.
`InputStream` | `getBinaryStream(int a)`
`InputStream` | `getBinaryStream(String a)`
`Blob` | `getBlob(int a)`
`Blob` | `getBlob(String a)`
`boolean` | `getBoolean(int a)`
`boolean` | `getBoolean(String a)`
`byte` | `getByte(int a)`
`byte` | `getByte(String a)`
`byte[]` | `getBytes(int a)`
`byte[]` | `getBytes(String a)`
`Reader` | `getCharacterStream(int a)`
`Reader` | `getCharacterStream(String a)`
`Clob` | `getClob(int a)`
`Clob` | `getClob(String a)`
`int` | `getConcurrency()`
`String` | `getCursorName()`
`Date` | `getDate(int a)`
`Date` | `getDate(int a, Calendar b)`
`Date` | `getDate(String a)`
`Date` | `getDate(String a, Calendar b)`
`ResultSet` | `getDelegate()` Return the wrapped result set.
`double` | `getDouble(int a)`
`double` | `getDouble(String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int a)`
`float` | `getFloat(String a)`
`int` | `getHoldability()`
`ResultSet` | `getInnermostDelegate()` Return the inner-most wrapped delegate.
`int` | `getInt(int a)`
`int` | `getInt(String a)`
`long` | `getLong(int a)`
`long` | `getLong(String a)`
`ResultSetMetaData` | `getMetaData()`
`Reader` | `getNCharacterStream(int columnIndex)`
`Reader` | `getNCharacterStream(String columnLabel)`
`NClob` | `getNClob(int columnIndex)`
`NClob` | `getNClob(String columnLabel)`
`String` | `getNString(int columnIndex)`
`String` | `getNString(String columnLabel)`
`Object` | `getObject(int a)`
`
`<T> T`
` | `getObject(int columnIndex, Class<T> type)`
`Object` | `getObject(int a, Map<String,Class<?>> b)`
`Object` | `getObject(String a)`
`
`<T> T`
` | `getObject(String columnLabel, Class<T> type)`
`Object` | `getObject(String a, Map<String,Class<?>> b)`
`Ref` | `getRef(int a)`
`Ref` | `getRef(String a)`
`int` | `getRow()`
`RowId` | `getRowId(int columnIndex)`
`RowId` | `getRowId(String columnLabel)`
`short` | `getShort(int a)`
`short` | `getShort(String a)`
`SQLXML` | `getSQLXML(int columnIndex)`
`SQLXML` | `getSQLXML(String columnLabel)`
`Statement` | `getStatement()`
`String` | `getString(int a)`
`String` | `getString(String a)`
`Time` | `getTime(int a)`
`Time` | `getTime(int a, Calendar b)`
`Time` | `getTime(String a)`
`Time` | `getTime(String a, Calendar b)`
`Timestamp` | `getTimestamp(int a)`
`Timestamp` | `getTimestamp(int a, Calendar b)`
`Timestamp` | `getTimestamp(String a)`
`Timestamp` | `getTimestamp(String a, Calendar b)`
`int` | `getType()`
`InputStream` | `getUnicodeStream(int a)` Deprecated.
`InputStream` | `getUnicodeStream(String a)` Deprecated.
`URL` | `getURL(int column)`
`URL` | `getURL(String columnName)`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isWrapperFor(Class<?> iface)`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int a)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int a)`
`void` | `setFetchSize(int a)`
`String` | `toString()`
`
`<T> T`
` | `unwrap(Class<T> iface)`
`void` | `updateArray(int column, Array array)`
`void` | `updateArray(String columnName, Array array)`
`void` | `updateAsciiStream(int columnIndex, InputStream x)`
`void` | `updateAsciiStream(int a, InputStream in, int b)`
`void` | `updateAsciiStream(int columnIndex, InputStream x, long length)`
`void` | `updateAsciiStream(String columnLabel, InputStream x)`
`void` | `updateAsciiStream(String a, InputStream in, int b)`
`void` | `updateAsciiStream(String columnLabel, InputStream x, long length)`
`void` | `updateBigDecimal(int a, BigDecimal b)`
`void` | `updateBigDecimal(String a, BigDecimal b)`
`void` | `updateBinaryStream(int columnIndex, InputStream x)`
`void` | `updateBinaryStream(int a, InputStream in, int b)`
`void` | `updateBinaryStream(int columnIndex, InputStream x, long length)`
`void` | `updateBinaryStream(String columnLabel, InputStream x)`
`void` | `updateBinaryStream(String a, InputStream in, int b)`
`void` | `updateBinaryStream(String columnLabel, InputStream x, long length)`
`void` | `updateBlob(int a, Blob blob)`
`void` | `updateBlob(int columnIndex, InputStream inputStream)`
`void` | `updateBlob(int columnIndex, InputStream inputStream, long length)`
`void` | `updateBlob(String columnName, Blob blob)`
`void` | `updateBlob(String columnLabel, InputStream inputStream)`
`void` | `updateBlob(String columnLabel, InputStream inputStream, long length)`
`void` | `updateBoolean(int a, boolean b)`
`void` | `updateBoolean(String a, boolean b)`
`void` | `updateByte(int a, byte b)`
`void` | `updateByte(String a, byte b)`
`void` | `updateBytes(int a, byte[] b)`
`void` | `updateBytes(String a, byte[] b)`
`void` | `updateCharacterStream(int columnIndex, Reader x)`
`void` | `updateCharacterStream(int a, Reader reader, int b)`
`void` | `updateCharacterStream(int columnIndex, Reader x, long length)`
`void` | `updateCharacterStream(String columnLabel, Reader reader)`
`void` | `updateCharacterStream(String a, Reader reader, int b)`
`void` | `updateCharacterStream(String columnLabel, Reader reader, long length)`
`void` | `updateClob(int a, Clob clob)`
`void` | `updateClob(int columnIndex, Reader reader)`
`void` | `updateClob(int columnIndex, Reader reader, long length)`
`void` | `updateClob(String columnName, Clob clob)`
`void` | `updateClob(String columnLabel, Reader reader)`
`void` | `updateClob(String columnLabel, Reader reader, long length)`
`void` | `updateDate(int a, Date b)`
`void` | `updateDate(String a, Date b)`
`void` | `updateDouble(int a, double b)`
`void` | `updateDouble(String a, double b)`
`void` | `updateFloat(int a, float b)`
`void` | `updateFloat(String a, float b)`
`void` | `updateInt(int a, int b)`
`void` | `updateInt(String a, int b)`
`void` | `updateLong(int a, long b)`
`void` | `updateLong(String a, long b)`
`void` | `updateNCharacterStream(int columnIndex, Reader x)`
`void` | `updateNCharacterStream(int columnIndex, Reader x, long length)`
`void` | `updateNCharacterStream(String columnLabel, Reader reader)`
`void` | `updateNCharacterStream(String columnLabel, Reader reader, long length)`
`void` | `updateNClob(int columnIndex, NClob nClob)`
`void` | `updateNClob(int columnIndex, Reader reader)`
`void` | `updateNClob(int columnIndex, Reader reader, long length)`
`void` | `updateNClob(String columnLabel, NClob nClob)`
`void` | `updateNClob(String columnLabel, Reader reader)`
`void` | `updateNClob(String columnLabel, Reader reader, long length)`
`void` | `updateNString(int columnIndex, String nString)`
`void` | `updateNString(String columnLabel, String nString)`
`void` | `updateNull(int a)`
`void` | `updateNull(String a)`
`void` | `updateObject(int a, Object ob)`
`void` | `updateObject(int a, Object ob, int b)`
`void` | `updateObject(String a, Object b)`
`void` | `updateObject(String a, Object ob, int b)`
`void` | `updateRef(int column, Ref ref)`
`void` | `updateRef(String columnName, Ref ref)`
`void` | `updateRow()`
`void` | `updateRowId(int columnIndex, RowId x)`
`void` | `updateRowId(String columnLabel, RowId x)`
`void` | `updateShort(int a, short b)`
`void` | `updateShort(String a, short b)`
`void` | `updateSQLXML(int columnIndex, SQLXML xmlObject)`
`void` | `updateSQLXML(String columnLabel, SQLXML xmlObject)`
`void` | `updateString(int a, String b)`
`void` | `updateString(String a, String b)`
`void` | `updateTime(int a, Time b)`
`void` | `updateTime(String a, Time b)`
`void` | `updateTimestamp(int a, Timestamp b)`
`void` | `updateTimestamp(String a, Timestamp b)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingResultSet

    public DelegatingResultSet(ResultSet rs,
                               Statement stmnt)

Method Detail

### getDelegate

    public ResultSet getDelegate()

  Return the wrapped result set.

### getInnermostDelegate

    public ResultSet getInnermostDelegate()

  Return the inner-most wrapped delegate.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendInfo

    protected void appendInfo(StringBuffer buf)

### next

    public boolean next()
                 throws SQLException

  Specified by:
    `next` in interface `ResultSet`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `ResultSet`
  Specified by:
    `close` in interface `Closeable`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(int a)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(int a)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(int a)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(int a)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(int a)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(int a)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(int a)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(int a)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal(int a,
                                               int b)
                             throws SQLException

  Deprecated.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(int a)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int a)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int a)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int a)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(int a)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    @Deprecated
    public InputStream getUnicodeStream(int a)
                                 throws SQLException

  Deprecated.

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(int a)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(String a)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String a)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(String a)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(String a)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(String a)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(String a)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(String a)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(String a)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal(String a,
                                               int b)
                             throws SQLException

  Deprecated.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String a)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String a)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String a)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String a)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(String a)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    @Deprecated
    public InputStream getUnicodeStream(String a)
                                 throws SQLException

  Deprecated.

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(String a)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### getCursorName

    public String getCursorName()
                         throws SQLException

  Specified by:
    `getCursorName` in interface `ResultSet`
  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int a)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String a)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### findColumn

    public int findColumn(String a)
                   throws SQLException

  Specified by:
    `findColumn` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int a)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String a)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int a)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String a)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

  Specified by:
    `isAfterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### isFirst

    public boolean isFirst()
                    throws SQLException

  Specified by:
    `isFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isLast

    public boolean isLast()
                   throws SQLException

  Specified by:
    `isLast` in interface `ResultSet`
  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### afterLast

    public void afterLast()
                   throws SQLException

  Specified by:
    `afterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### first

    public boolean first()
                  throws SQLException

  Specified by:
    `first` in interface `ResultSet`
  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  Specified by:
    `last` in interface `ResultSet`
  Throws:
    `SQLException`

### getRow

    public int getRow()
               throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`
  Throws:
    `SQLException`

### absolute

    public boolean absolute(int a)
                     throws SQLException

  Specified by:
    `absolute` in interface `ResultSet`
  Throws:
    `SQLException`

### relative

    public boolean relative(int a)
                     throws SQLException

  Specified by:
    `relative` in interface `ResultSet`
  Throws:
    `SQLException`

### previous

    public boolean previous()
                     throws SQLException

  Specified by:
    `previous` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int a)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int a)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### getType

    public int getType()
                throws SQLException

  Specified by:
    `getType` in interface `ResultSet`
  Throws:
    `SQLException`

### getConcurrency

    public int getConcurrency()
                       throws SQLException

  Specified by:
    `getConcurrency` in interface `ResultSet`
  Throws:
    `SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  Specified by:
    `rowUpdated` in interface `ResultSet`
  Throws:
    `SQLException`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  Specified by:
    `rowInserted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  Specified by:
    `rowDeleted` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(int a)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(int a,
                              boolean b)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(int a,
                           byte b)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(int a,
                            short b)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(int a,
                          int b)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(int a,
                           long b)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(int a,
                            float b)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(int a,
                             double b)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(int a,
                                 BigDecimal b)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(int a,
                             String b)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(int a,
                            byte[] b)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(int a,
                           Date b)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(int a,
                           Time b)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(int a,
                                Timestamp b)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int a,
                                  InputStream in,
                                  int b)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int a,
                                   InputStream in,
                                   int b)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int a,
                           Blob blob)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int a,
                                      Reader reader,
                                      int b)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int a,
                           Clob clob)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int a,
                             Object ob,
                             int b)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int a,
                             Object ob)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(String a)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(String a,
                              boolean b)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(String a,
                           byte b)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(String a,
                            short b)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(String a,
                          int b)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(String a,
                           long b)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(String a,
                            float b)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(String a,
                             double b)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(String a,
                                 BigDecimal b)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(String a,
                             String b)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(String a,
                            byte[] b)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(String a,
                           Date b)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(String a,
                           Time b)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(String a,
                                Timestamp b)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String a,
                                  InputStream in,
                                  int b)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String a,
                                   InputStream in,
                                   int b)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String a,
                                      Reader reader,
                                      int b)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String a,
                             Object ob,
                             int b)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String a,
                             Object b)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### insertRow

    public void insertRow()
                   throws SQLException

  Specified by:
    `insertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRow

    public void updateRow()
                   throws SQLException

  Specified by:
    `updateRow` in interface `ResultSet`
  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`

### refreshRow

    public void refreshRow()
                    throws SQLException

  Specified by:
    `refreshRow` in interface `ResultSet`
  Throws:
    `SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Specified by:
    `moveToInsertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`
  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Specified by:
    `getStatement` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int a,
                            Map<String,Class<?>> b)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int a)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(int a)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(int a)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(int a)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String a,
                            Map<String,Class<?>> b)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(String a)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String a)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(String a)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(String a)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int a,
                                  Calendar b)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String a,
                                  Calendar b)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(int column)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(String columnName)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(int column,
                          Ref ref)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(String columnName,
                          Ref ref)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnName,
                           Blob blob)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnName,
                           Clob clob)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(int column,
                            Array array)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(String columnName,
                            Array array)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `ResultSet`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(int columnIndex)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(String columnLabel)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getNString

    public String getNString(int columnIndex)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLException`

### getNString

    public String getNString(String columnLabel)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(String columnLabel)
                   throws SQLException

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(String columnLabel)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x,
                                  long length)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x,
                                  long length)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x,
                                   long length)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x,
                                   long length)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x,
                                      long length)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x,
                                       long length)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader)
                                throws SQLException

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            NClob nClob)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            NClob nClob)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader)
                     throws SQLException

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNString

    public void updateNString(int columnIndex,
                              String nString)
                       throws SQLException

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNString

    public void updateNString(String columnLabel,
                              String nString)
                       throws SQLException

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(int columnIndex,
                            RowId x)
                     throws SQLException

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(String columnLabel,
                            RowId x)
                     throws SQLException

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.